package routers

import (
	"ai_developer_admin/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	beego.Router("/", &controllers.MainController{})
	beego.AutoPrefix("admin/api", &controllers.UserController{})
	beego.AutoPrefix("admin/api", &controllers.AppController{})
	beego.AutoPrefix("admin/api", &controllers.FundsController{})
	beego.AutoPrefix("admin/api", &controllers.UserLevelController{})
	beego.AutoPrefix("admin/api", &controllers.TaskController{})
	beego.AutoPrefix("admin/api", &controllers.MonitorController{})
	beego.AutoPrefix("admin/api", &controllers.WhitelistController{})
	beego.AutoPrefix("admin/api", &controllers.FileController{})
	beego.AutoPrefix("admin/api", &controllers.FavoriteController{})
	beego.AutoPrefix("admin/api/task", &controllers.VersionController{})
}
